LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-29-2011, 08:41 AM   #1
awww
Member
 
Registered: Nov 2010
Posts: 38

Rep: Reputation: Disabled
Tryin to install FFmpeg


I have been tryin to install ffmpeg but it doesnt seem to work when i type the whereis command i get this ffmpeg: /usr/bin/ffmpeg /usr/share/ffmpeg /usr/share/man/man1/ffmpeg.1.gz

so ok that means its installed but every time i try to install the extension it doesn't show i recently installed uploadprogress and added the extension to the .php.ini file and its there
http://i51.tinypic.com/2iqi9hl.png
extensions here what am i doing wrong

http://i51.tinypic.com/e1avqh.png
 
Old 06-29-2011, 08:47 AM   #2
Snark1994
Senior Member
 
Registered: Sep 2010
Location: Wales, UK
Distribution: Arch
Posts: 1,632
Blog Entries: 3

Rep: Reputation: 346Reputation: 346Reputation: 346Reputation: 346
Is it under the "Dynamic Extensions" section of your php.ini file? There should be a line saying "extension=ffmpeg.so", like you had in your screenshot (btw, if you're just posting text, it's better to do it AS text rather than in a screenshot )

Also, have you restarted your httpd server (or rebooted)?
 
Old 06-29-2011, 08:52 AM   #3
Cultist
Member
 
Registered: Feb 2010
Location: Chicago, IL
Distribution: Slackware64 14.2
Posts: 779

Rep: Reputation: 105Reputation: 105
What distro are you trying to install it in?
 
Old 06-29-2011, 08:52 AM   #4
awww
Member
 
Registered: Nov 2010
Posts: 38

Original Poster
Rep: Reputation: Disabled
yes i rebooted the whole server even to make sure its here

its below every thing in my php.ini file

---------- Post added 06-29-11 at 07:52 AM ----------

OS: CentOS 5 w/ Plesk
 
Old 06-29-2011, 08:56 AM   #5
Cultist
Member
 
Registered: Feb 2010
Location: Chicago, IL
Distribution: Slackware64 14.2
Posts: 779

Rep: Reputation: 105Reputation: 105
Did you compile FFmpeg from source or did you install it as an RPM package? And if you used a package, was it one specific to another distro?
 
Old 06-29-2011, 08:57 AM   #6
awww
Member
 
Registered: Nov 2010
Posts: 38

Original Poster
Rep: Reputation: Disabled
i used yum to install it
 
Old 06-29-2011, 08:58 AM   #7
Snark1994
Senior Member
 
Registered: Sep 2010
Location: Wales, UK
Distribution: Arch
Posts: 1,632
Blog Entries: 3

Rep: Reputation: 346Reputation: 346Reputation: 346Reputation: 346
Wait, sorry, just re-read your original post - you've install ffmpeg, have you installed ffmpeg-php ?
 
Old 06-29-2011, 09:04 AM   #8
awww
Member
 
Registered: Nov 2010
Posts: 38

Original Poster
Rep: Reputation: Disabled
i think yes

Code:
[root@~]# yum install ffmpeg ffmpeg-devel php-devel
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * atomic: www4.atomicorp.com
 * epel: mirrors.solfo.com
 * rpmforge: fr2.rpmfind.net
Reducing CentOS-5 Testing to included packages only
Finished
2051 packages excluded due to repository priority protections
Setting up Install Process
Package ffmpeg-0.6.1-1.el5.rf.x86_64 already installed and latest version
Package ffmpeg-devel-0.6.1-1.el5.rf.x86_64 already installed and latest version
Package php-devel-5.3.6-3.el5.art.x86_64 already installed and latest version
 
Old 06-29-2011, 09:05 AM   #9
Snark1994
Senior Member
 
Registered: Sep 2010
Location: Wales, UK
Distribution: Arch
Posts: 1,632
Blog Entries: 3

Rep: Reputation: 346Reputation: 346Reputation: 346Reputation: 346
Reading this article, you need to compile and install ffmpeg-php manually having installed some of the packages you just installed.
 
Old 06-29-2011, 09:10 AM   #10
awww
Member
 
Registered: Nov 2010
Posts: 38

Original Poster
Rep: Reputation: Disabled
would this be the issue because thats the same site i followed to install it


Code:
Reducing CentOS-5 Testing to included packages only
Finished
2051 packages excluded due to repository priority protections
Setting up Install Process
Package ffmpeg-0.6.1-1.el5.rf.x86_64 already installed and latest version
Package ffmpeg-devel-0.6.1-1.el5.rf.x86_64 already installed and latest version
Package php-devel-5.3.6-3.el5.art.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package php-devel.i386 0:5.3.6-3.el5.art set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch         Version                    Repository      Size
================================================================================
Installing:
 php-devel         i386         5.3.6-3.el5.art            atomic         623 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total size: 623 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/bin/php-config from install of php-devel-5.3.6-3.el5.art.i386 conflicts with file from package php-devel-5.3.6-3.el5.art.x86_64
  file /usr/include/php/main/build-defs.h from install of php-devel-5.3.6-3.el5.art.i386 conflicts with file from package php-devel-5.3.6-3.el5.art.x86_64
  file /usr/include/php/main/php_config.h from install of php-devel-5.3.6-3.el5.art.i386 conflicts with file from package php-devel-5.3.6-3.el5.art.x86_64

Error Summary
-------------
 
Old 06-29-2011, 09:11 AM   #11
Snark1994
Senior Member
 
Registered: Sep 2010
Location: Wales, UK
Distribution: Arch
Posts: 1,632
Blog Entries: 3

Rep: Reputation: 346Reputation: 346Reputation: 346Reputation: 346
Then what about the section:

Quote:
Installing ffmpeg-php

Now we are ready to install ffmpeg-php. This can be done in six easy steps:

Download the latest ffmpeg-php release
Extract the archive:
Code:
tar -xjf ffmpeg-php-X.x.x.tbz2
    cd ffmpeg-php-X.x.x/
    phpize
    ./configure && make
    sudo make install
 
Old 06-29-2011, 09:16 AM   #12
awww
Member
 
Registered: Nov 2010
Posts: 38

Original Poster
Rep: Reputation: Disabled
yes i get these errors

Code:
config.status: creating config.h
/bin/sh /root/ffmpeg-php-0.6.0/libtool --mode=compile cc  -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/  -DHAVE_CONFIG_H  -g -O2 -Wall -fno-strict-aliasing   -c /root/ffmpeg-php-0.6.0/ffmpeg-php.c -o ffmpeg-php.lo
mkdir .libs
 cc -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/ -DHAVE_CONFIG_H -g -O2 -Wall -fno-strict-aliasing -c /root/ffmpeg-php-0.6.0/ffmpeg-php.c  -fPIC -DPIC -o .libs/ffmpeg-php.o
/bin/sh /root/ffmpeg-php-0.6.0/libtool --mode=compile cc  -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/  -DHAVE_CONFIG_H  -g -O2 -Wall -fno-strict-aliasing   -c /root/ffmpeg-php-0.6.0/ffmpeg_movie.c -o ffmpeg_movie.lo
 cc -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/ -DHAVE_CONFIG_H -g -O2 -Wall -fno-strict-aliasing -c /root/ffmpeg-php-0.6.0/ffmpeg_movie.c  -fPIC -DPIC -o .libs/ffmpeg_movie.o
/root/ffmpeg-php-0.6.0/ffmpeg_movie.c: In function '_php_read_av_frame':
/root/ffmpeg-php-0.6.0/ffmpeg_movie.c:1215: warning: 'avcodec_decode_video' is deprecated (declared at /usr/include/libavcodec/avcodec.h:3454)
/bin/sh /root/ffmpeg-php-0.6.0/libtool --mode=compile cc  -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/  -DHAVE_CONFIG_H  -g -O2 -Wall -fno-strict-aliasing   -c /root/ffmpeg-php-0.6.0/ffmpeg_frame.c -o ffmpeg_frame.lo
 cc -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/ -DHAVE_CONFIG_H -g -O2 -Wall -fno-strict-aliasing -c /root/ffmpeg-php-0.6.0/ffmpeg_frame.c  -fPIC -DPIC -o .libs/ffmpeg_frame.o
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c: In function 'zim_ffmpeg_frame_toGDImage':
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: 'PIX_FMT_RGBA32' undeclared (first use in this function)
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: (Each undeclared identifier is reported only once
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: for each function it appears in.)
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c: In function 'zim_ffmpeg_frame_ffmpeg_frame':
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:421: error: 'PIX_FMT_RGBA32' undeclared (first use in this function)
make: *** [ffmpeg_frame.lo] Error 1
[root@e2180-22530 ffmpeg-php-0.6.0]# make install
/bin/sh /root/ffmpeg-php-0.6.0/libtool --mode=compile cc  -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/  -DHAVE_CONFIG_H  -g -O2 -Wall -fno-strict-aliasing   -c /root/ffmpeg-php-0.6.0/ffmpeg_frame.c -o ffmpeg_frame.lo
 cc -I. -I/root/ffmpeg-php-0.6.0 -DPHP_ATOM_INC -I/root/ffmpeg-php-0.6.0/include -I/root/ffmpeg-php-0.6.0/main -I/root/ffmpeg-php-0.6.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libavutil/ -I/usr/include/libswscale/ -I/usr/include/libavfilter/ -I/usr/include/libavdevice/ -DHAVE_CONFIG_H -g -O2 -Wall -fno-strict-aliasing -c /root/ffmpeg-php-0.6.0/ffmpeg_frame.c  -fPIC -DPIC -o .libs/ffmpeg_frame.o
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c: In function 'zim_ffmpeg_frame_toGDImage':
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: 'PIX_FMT_RGBA32' undeclared (first use in this function)
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: (Each undeclared identifier is reported only once
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:336: error: for each function it appears in.)
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c: In function 'zim_ffmpeg_frame_ffmpeg_frame':
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:421: error: 'PIX_FMT_RGBA32' undeclared (first use in this function)
make: *** [ffmpeg_frame.lo] Error 1
[root@ ffmpeg-php-0.6.0]#

Last edited by awww; 06-29-2011 at 09:24 AM.
 
Old 06-29-2011, 09:21 AM   #13
Snark1994
Senior Member
 
Registered: Sep 2010
Location: Wales, UK
Distribution: Arch
Posts: 1,632
Blog Entries: 3

Rep: Reputation: 346Reputation: 346Reputation: 346Reputation: 346
Okay, run these commands:
Code:
cp /root/ffmpeg-php-0.6.0/ffmpeg_frame.c{,.bak}
sed 's/PIX_FMT_RGBA32/PIX_FMT_RGB32/g' /root/ffmpeg-php-0.6.0/ffmpeg_frame.c.bak > /root/ffmpeg-php-0.6.0/ffmpeg_frame.c
(ie. replace all the PIX_FMT_RGBA32s with PIX_FMT_RGB32s )

EDIT: Also, can you replace your [PHP] tags with [CODE] tags please? Currently, it distorts the page
 
Old 06-29-2011, 09:28 AM   #14
awww
Member
 
Registered: Nov 2010
Posts: 38

Original Poster
Rep: Reputation: Disabled
ok i done that now what
 
Old 06-29-2011, 09:30 AM   #15
Snark1994
Senior Member
 
Registered: Sep 2010
Location: Wales, UK
Distribution: Arch
Posts: 1,632
Blog Entries: 3

Rep: Reputation: 346Reputation: 346Reputation: 346Reputation: 346
Try to compile it again ./configure, make, make install.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Install FFMPEG and FFMPEG-PHP on fedora10 & 12 cks Linux - Server 2 09-17-2010 02:55 PM
Install ffmpeg for PHP ( ffmpeg-php extension ) shlomi.s Linux - Software 2 02-02-2010 01:52 AM
Error tryin to install jar Executable khalil_noura Linux - Newbie 1 12-15-2008 03:13 PM
Tryin' to install debian thru Knoppix but kernel panic Kgi Debian 1 10-14-2003 05:30 AM
new install flashes.. tryin to start x.. then goes to console! hack0r Mandriva 2 09-20-2003 01:46 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 06:20 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration